#ifndef _Handle_PShort_VArrayNodeOfFieldOfHArray2OfShortReal_HeaderFile
#define _Handle_PShort_VArrayNodeOfFieldOfHArray2OfShortReal_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PShort_VArrayNodeOfFieldOfHArray2OfShortReal;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PShort_VArrayNodeOfFieldOfHArray2OfShortReal);

class Handle(PShort_VArrayNodeOfFieldOfHArray2OfShortReal) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PShort_VArrayNodeOfFieldOfHArray2OfShortReal)():Handle(PStandard_ArrayNode)() {} 
    Handle(PShort_VArrayNodeOfFieldOfHArray2OfShortReal)(const Handle(PShort_VArrayNodeOfFieldOfHArray2OfShortReal)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PShort_VArrayNodeOfFieldOfHArray2OfShortReal)(const PShort_VArrayNodeOfFieldOfHArray2OfShortReal* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PShort_VArrayNodeOfFieldOfHArray2OfShortReal)& operator=(const Handle(PShort_VArrayNodeOfFieldOfHArray2OfShortReal)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PShort_VArrayNodeOfFieldOfHArray2OfShortReal)& operator=(const PShort_VArrayNodeOfFieldOfHArray2OfShortReal* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PShort_VArrayNodeOfFieldOfHArray2OfShortReal* operator->() const 
     {
      return (PShort_VArrayNodeOfFieldOfHArray2OfShortReal *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PShort_VArrayNodeOfFieldOfHArray2OfShortReal) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
